//
// ResourceManager.h
//

#ifndef __RESOURCE_MANAGER_H__
#define __RESOURCE_MANAGER_H__

#define MAX_SPRITES 10000

#include <string>

#include "Sprite.h"

using namespace std;

// the resource manager is a singleton instance
class ResourceManager {

 private:
  ResourceManager (ResourceManager const&); // don't allow copy
  void operator=(ResourceManager const&);   // don't allow assignment
  ResourceManager();		// private since a singleton
  Sprite *sprite[MAX_SPRITES];	// array of sprites
  int sprite_count;		// count of number of loaded sprites

 public:
  ~ResourceManager();
  static ResourceManager &getInstance();
  int startUp();
  void shutDown();
  int loadSprite(string filename, string label);
  Sprite *getSprite(string label);
};

#endif //__RESOURCE_MANAGER_H__
