//
// Sprite.h
// 

#ifndef __SPRITE_H__
#define __SPRITE_H__

#include <string>
#include "Frame.h"

using namespace std;

#define END_FRAME_TOKEN "end"
#define END_SPRITE_TOKEN "eof"

class Sprite {

 private:
  int width;
  int height;
  int frame_count;
  int max_frame_count;
  int ref_count;
  Frame *frame;			// array of frames
  string label;
  Sprite();

 public:
  ~Sprite();
  Sprite(int max_frames);	// frame count fixed upon creation
  int getWidth();
  void setWidth(int new_width);
  int getHeight();
  void setHeight(int new_height);
  int getFrameCount();
  Frame getFrame(int frame_number);
  int addFrame(Frame new_frame);
  string getLabel();
  void setLabel(string new_label);
};

#endif // __SPRITE_H__
